Teams
1,928 clubs and national sides from 84 countries, ordered by how many catalogue players are linked to them. Open a team for its squad; the number in brackets is the player count.
United Kingdom22,052 players
- Wales (union)nat978
- England men’s (union)nat928
- England (league)nat755
- Great Britain (league)nat737
- Scotland (union)nat707
- Barbarian FC622
- Wakefield Trinity550
- Wigan Warriors533
- Wales (league)nat514
- Featherstone Rovers509
- Castleford Tigers490
- Ireland men’s (union)nat479
- Leigh Leopards477
- Hull Kingston Rovers462
- Leeds Rhinos435
- Warrington Wolves397
- Salford Red Devils361
- St Helens RLFC352
- Hull F.C.335
- Bradford Bulls332
- Halifax Panthers325
- Huddersfield Giants311
- London Broncos296
- Widnes Vikings288
- Cardiff RFC268
- Oldham R.L.F.C.260
- Leicester Tigers244
- Bath Rugby221
- Gloucester Rugby209
- Harlequin F.C.201
- Sale Sharks194
- Saracens F.C.194
- Llanelli RFC192
- Swansea RFC187
- Wasps RFC185
- London Welsh RFC183
- Northampton Saints181
- Wales national under-20 rugby union team175
- London Irish RFC174
- Bristol Bears170
- + 373 more — search them in the team filter
Australia12,059 players
- Australia (league)nat858
- Sydney Roosters826
- Australia (union)nat752
- South Sydney Rabbitohs724
- Canterbury-Bankstown Bulldogs545
- Parramatta Eels544
- Manly-Warringah Sea Eagles454
- St. George Dragons449
- Penrith Panthers446
- Cronulla-Sutherland Sharks415
- Newcastle Knights366
- New South Wales rugby league team363
- Canberra Raiders346
- North Queensland Cowboys330
- St. George Illawarra Dragons305
- Wests Tigers301
- Brisbane Broncos289
- Melbourne Storm245
- New South Wales Waratahs244
- Queensland Maroons222
- Gold Coast Titans198
- City New South Wales rugby league team162
- Western Suburbs Magpies159
- Queensland Reds126
- Illawarra Steelers125
- Country New South Wales rugby league team113
- Redcliffe Dolphins103
- Norths Devils94
- Souths Logan Magpies90
- Australian Schoolboys (union)nat86
- Australia national under-20 rugby union team83
- Eastern Suburbs Tigers80
- Balmain Tigers79
- Western Force74
- ACT Brumbies71
- Wynnum Manly Seagulls68
- Northern Pride RLFC67
- North Sydney Bears66
- Burleigh Bears61
- Mackay Cutters57
- + 133 more — search them in the team filter
France11,231 players
- France (union)nat990
- France (league)nat534
- US Dax432
- Stade Français Rugby383
- Stade Toulousain370
- RC Toulonnais362
- Football Club Grenoble Rugby341
- USA Perpignan318
- CA Brive317
- ASM Clermont Auvergne306
- Section Paloise296
- Racing 92261
- Montpellier Hérault Rugby252
- Aviron Bayonnais247
- Castres Olympique231
- SU Agen Lot-et-Garonne226
- Biarritz Olympique208
- Racing Club Narbonnais198
- AS Béziers Hérault196
- Catalans Dragons195
- Colomiers Rugby181
- CS Bourgoin-Jallieu172
- Stade Rochelais167
- Lyon OU163
- Union Bordeaux Bègles156
- France national under-20 rugby union team151
- Stade Montois149
- Tarbes Pyrénées Rugby140
- US Montauban133
- Oyonnax Rugby120
- Stade Aurillacois Cantal Auvergne105
- SC Albi104
- Provence Rugby101
- FC Auch Gers99
- France women's (union)nat92
- US Carcassonne79
- Toulouse Olympique76
- Union Sportive Bressane75
- FC Lourdes67
- CA Bordeaux-Bègles Gironde65
- + 332 more — search them in the team filter
New Zealand4,018 players
- New Zealand (union)nat1,043
- New Zealand (league)nat735
- New Zealand Warriors300
- New Zealand women's (union)nat139
- Chiefs138
- Crusaders130
- Blues123
- New Zealand national under-20 rugby union team103
- Canterbury RFU92
- Highlanders90
- Auckland RFU77
- Q63979771
- Wellington Rugby Football Union66
- New Zealand national under-21 rugby union team58
- Otago RFU53
- Glenora Bears43
- Maori All Blacks team41
- North Harbour Rugby Union39
- Waikato RU39
- Hawke’s Bay RU36
- Ponsonby Ponies36
- New Zealand national under-19 rugby union team29
- Junior All Blacksnat28
- Taranaki Rugby Football Union28
- All Blacks Sevens teamnat25
- Bay of Plenty RU25
- Counties Manukau Rugby Football Union23
- Manawatu Rugby Union22
- Northland RU20
- Southland RFU20
- Tasman Rugby Union17
- Canterbury15
- Manawatu Rugby Union Team14
- New Zealand Maori rugby league team14
- Auckland rugby union team13
- Bay of Plenty Steamers13
- New Zealand national cricket team13
- Wellington Rugby Union Team13
- New Zealand women’s (sevens)nat12
- North Harbour Rugby Union Team12
- + 66 more — search them in the team filter
Japan2,803 players
- Japan (union)nat200
- Shizuoka Blue Revs145
- NEC Green Rockets Tokatsu140
- Kobelco Kobe Steelers111
- Hanazono Kintetsu Liners107
- Teikyo University Rugby Football Club107
- Toshiba Brave Lupus100
- Ricoh Black Rams Tokyo96
- Tokyo Suntory Sungoliath96
- Saiatama Panasonic Wild Knights92
- Sunwolves90
- Red Hurricanes Osaka81
- Toyota Industries Shuttles Aichi79
- Toyota Verblitz77
- Kubota Spears Funabashi Tokyo-Bay76
- Nippon Steel Kamaishi Seawaves75
- Mitsubishi Sagamihara DynaBoars71
- Meiji University Rugby Football Club69
- Mie Honda Heat67
- NTT Shining Arcs60
- Hosei University Rugby Football Club52
- Munakata Sanix Blues51
- Urayasu D-Rocks51
- Yokohama Canon Eagles51
- Coca Cola West Red Sparks50
- Waseda University Rugby Football Club49
- Kyuden Voltex47
- Kanto Gakuin University Rugby Football Club44
- Hino Red Dolphins39
- University of Tsukuba Rugby Football Club37
- Tenri University Rugby Football Club36
- Nihon University Rugby Football Club26
- Chuo University Rugby Football Club20
- Shimizu Koto Blue Sharks20
- Doshisha University Rugby Football Club18
- Keio University Rugby Football Club18
- Tokai University Rugby Football Club18
- Daito Bunka University Rugby Football Club17
- Kawagoe Sayama Secom Rugguts17
- Nippon Sport Science University Rugby Football Club16
- + 47 more — search them in the team filter
Ireland1,831 players
- British & Irish Lions562
- Ireland national under-20 rugby union team200
- Munster Rugby194
- Ireland (league)nat193
- Leinster Rugby183
- Connacht Rugby177
- Emerging Irelandnat54
- Ireland women's (union)nat42
- University College Dublin R.F.C.41
- Ireland national schoolboy rugby union team30
- Ireland cricket team18
- Ireland national rugby union sevens teamnat16
- Dublin University Football Club11
- Old Belvedere9
- Garryowen Football Club7
- Clontarf FC6
- Lansdowne Football Club6
- Cork Constitution5
- Shannon RFC5
- Wanderers F.C.5
- Ballynahinch RFC4
- St Mary's College RFC4
- Bective Rangers3
- Naas RFC3
- Republic of Ireland men's national association football team3
- Banbridge RFC2
- Birr RFC2
- Blackrock College RFC2
- Bohemian F.C.2
- Cork Senior Hurling Team2
- Dublin county football team2
- Terenure College RFC2
- University College Cork RFC2
- Young Munster2
- Athy Rugby Club1
- Cill Dara RFC1
- Clovers (rugby union)1
- Cobh Ramblers F.C.1
- Cork Celtic F.C.1
- Cork City F.C.1
- + 26 more — search them in the team filter
South Africa1,706 players
- South Africa (union)nat435
- Natal Sharks215
- Western Province117
- Stormers90
- Lions85
- Q139365083
- Blue Bulls80
- Golden Lions71
- Bulls69
- Southern Kings53
- Cheetahs41
- South Africa national under-20 rugby union team36
- South Africa women's (union)nat35
- Griquas30
- Eastern Province Kings23
- Boland Cavaliers21
- Free State Cheetahs19
- South Africa national cricket team19
- Leopards18
- Pumas18
- SWD Eagles16
- Border Bulldogs14
- South Africa (sevens)nat14
- South Africa women's (sevens)nat11
- Bulls Daisies9
- Griffons9
- South Africa A (union)nat9
- Western Province Womens9
- Falcons8
- South Africa national under-18 rugby union team6
- Northern Cape cricket team5
- Rhodesia cricket team4
- Western Province cricket team3
- Eastern Province2
- Free State cricket team2
- Golden Lions Women2
- Ikey Tigers2
- South Africa (league)nat2
- University of the Witwatersrand2
- Black Leopards F.C.1
- + 18 more — search them in the team filter
Italy1,328 players
- Italy (union)nat272
- Benetton Rugby Treviso142
- Italy (league)nat99
- Italy women's (union)nat70
- Zebre70
- Rugby Calvisano53
- Rugby Rovigo51
- Petrarca Rugby45
- Rugby Viadana38
- Italy A (union)nat37
- Aironi34
- Rugby Parma FC31
- Rugby Roma28
- Italy national under-20 rugby union team27
- L’Aquila Rugby Club27
- Amatori Rugby Milano19
- Mogliano Rugby19
- GranDucato Parma16
- Rugby Colorno14
- Red Panthers13
- SS Lazio Rugby 192712
- Villorba Rugby12
- Rugby Colorno11
- Valsugana Rugby Padua11
- Amatori Catania10
- Fiamme Oro Rugby10
- Rugby Brescia10
- Valorugby Emilia9
- Rugby Bologna8
- Unione Rugby Capitolina8
- Rugby Riviera 19757
- Partenope Rugby6
- Italy national rugby union team (sevens)nat5
- Red & Blu Rugby5
- Rugby San Donà5
- Venezia Mestre Rugby FC5
- Verona Rugby5
- Crociati Rugby Football Club4
- CUS Genova Rugby4
- CUS Milano Rugby4
- + 40 more — search them in the team filter
United States480 players
- United States (union)nat173
- United States (league)nat61
- United States women's (union)nat44
- United States national under-20 rugby union team18
- San Diego Legion11
- United States (sevens)nat7
- Hawaii Rainbow Warriors football5
- Stanford Cardinal football5
- USA Falcons XVnat5
- Glendale Merlins4
- Houston SaberCats4
- Philadelphia Eagles4
- San Francisco Golden Gate RFC4
- Seattle Saracens4
- American Raptors3
- Austin Gilgronis3
- California Golden Bears3
- Chicago Lions3
- New England Free Jacks3
- New England Patriots3
- New York Athletic Club RFC3
- New York Jets3
- Old Mission Beach Athletic Club RFC3
- Rugby New York3
- Seattle Seawolves3
- Stanford Cardinal3
- Utah Warriors3
- LA Giltinis2
- Las Vegas Blackjacks RFC2
- Life West Gladiatrix2
- Michigan Wolverines football2
- Navy Midshipmen2
- New Orleans Gold2
- Olympic Club RFC2
- Pittsburgh Steelers2
- San Francisco 49ers2
- Washington Commanders2
- All Americans rugby union team1
- Arizona Wildcats football1
- Army Black Knights men's basketball1
- + 69 more — search them in the team filter
Argentina475 players
- Argentina (union)nat223
- Pampas XV51
- Jaguares47
- Argentina XVnat26
- Argentina national under-20 rugby union team18
- San Isidro Club14
- Hindú Club12
- Club Atlético San Isidro9
- Argentina (sevens)nat5
- Club Atlético del Rosario5
- Belgrano Athletic Club4
- Club Banco Nación4
- Club Newman4
- Jockey Club de Rosario4
- Sudamérica XV4
- Tucumán Rugby Club4
- Asociación Alumni3
- Asociación Deportiva Francesa3
- Club Pucará3
- Club Pueyrredón3
- Club Universitario de Buenos Aires3
- Argentina national football team2
- Club Atlético San Isidro rugby2
- La Plata Rugby Club2
- Alumni Athletic Club1
- Buenos Aires Cricket & Rugby Club1
- Buenos Aires Football Club 18861
- Club Atlético San Isidro football1
- Club La Tablada1
- Club Universitario de Buenos Aires rugby1
- Club Universitario de La Plata1
- Club Universitario de Rosario1
- Curupaytí Club de Rugby1
- Duendes Rugby Club1
- Gimnasia y Esgrima de Buenos Aires1
- Huirapuca Social Club1
- Jaguares XV1
- Jockey Club Córdoba1
- Los Tarcos Rugby Club1
- Los Tordos Rugby Club1
- + 4 more — search them in the team filter
Fiji450 players
Samoa448 players
Tonga358 players
Unknown country286 players
- Pacific Islanders rugby union team50
- Central Queensland Capras37
- Waikato Rugby Union Team16
- PNG Prime Minister's XIII15
- Treorchy RFC15
- Counties Manukau Rugby Union Team9
- World XV8
- Sydney Roosters (women's rugby league)7
- Limoux Grizzlies6
- Marlborough Rugby Union5
- Other Nationalities rugby league teamnat5
- Brisbane Broncos Women4
- IBM Big Blue4
- Paphos Tigers4
- Wanganui Rugby Football Union4
- Newcastle Knights Women3
- Old Glory DC3
- St Helens R.F.C. Women3
- Tokyo Gas Rugby Football Club3
- Welwitschias3
- Buccaneers RFC2
- Classic All Blacks2
- Gentlemen v Players2
- Havelock Sports Club2
- Hyundai Glovis Rugby2
- Kandy Sports Club2
- Khvamli Tbilisi2
- Portlaoise RFC2
- Q1066399942
- Seapoint RFC2
- Aichi Teachers Club1
- Bermuda Under-19 cricket team1
- Canberra Raiders Women1
- Co-Optimist Rugby Club1
- DeA Tigers RFC1
- Dominion XIII rugby league team1
- Edinburgh District (rugby union team)1
- Evergreen United F.C.1
- Gold Coast Titans1
- H. D. G. Leveson Gower1
- + 52 more — search them in the team filter
Romania282 players
Wales273 players
Canada220 players
- Canada (union)nat103
- Canada women's (union)nat38
- Canada national under-20 rugby union team17
- Canada women's (sevens)nat13
- Laval Rouge et Or6
- Toronto Wolfpack5
- Castaway Wanderers3
- Bayside Sharks2
- Canada national rugby union team (sevens)nat2
- James Bay Athletic Association2
- Meraloma Rugby2
- Pacific Tyee2
- Prairie Wolf Pack2
- St. Francis Xavier X-Men2
- Toronto Arrows2
- UBC Old Boys Ravens2
- Victoria Vikes2
- Acadia Axemen1
- Burnaby Lake Rugby Club1
- Canada (league)nat1
- Canada at the 2018 Winter Olympics1
- Capilano RFC1
- Edmonton Gold1
- Guelph Gryphons1
- Newfoundland Rock1
- Niagara Lightning1
- Ottawa Rough Riders1
- Ottawa Senators1
- Queen's Golden Gaels1
- Richmond Rugby Football Club1
- The Rock1
- UBC Thunderbirds1
Spain198 players
- Spain (union)nat67
- Spain women's (union)nat23
- UE Santboiana11
- Club Esportiu INEF Barcelona10
- Ordizia RE10
- Salanque Méditerranée Pia XIII7
- Rugby Club L'Hospitalet6
- Barcelona Universitari Club5
- CR El Salvador5
- FC Barcelona Rugby5
- CRC Pozuelo4
- Getxo Rugby Taldea4
- Eibar RT3
- Hernani Club Rugby Elkartea3
- Catalonia (union)nat2
- Durango RT2
- Gaztedi RT2
- Real Ciencias Rugby Club2
- Spain national under-20 rugby union team2
- Alcobendas Rugby1
- AS Saint Estève1
- Barcelona Swimming Club1
- CB Aismalíbar1
- Club de Rugbi Bonanova1
- Club de Rugby Majadahonda1
- CN Helios1
- CR Arquitectura Técnica1
- CR Cisneros1
- CR La Vila1
- CR Les Abelles1
- Gernika RT1
- Madrid Gatos1
- Q119262851
- Q61274141
- RC Valencia1
- RCD Espanyol Basketball1
- RCD Espanyol de Barcelona1
- Real Canoe NC1
- Rugby Club Sitges1
- Spain men's national basketball team1
- + 4 more — search them in the team filter
Georgia178 players
- Georgia men’s (union)nat110
- Georgia national under-20 rugby union team33
- RC Lelo Tbilisi11
- Georgia national under-18 rugby union team6
- RC Aia4
- Batumi RC2
- Georgia national rugby union team (sevens)nat2
- RC Jiki2
- RC Rustavi Kharebi2
- FC Torpedo Kutaisi1
- RC Armazi Marneuli1
- RC Army Tbilisi1
- RC Kochebi Bolnisi1
- RC Locomotive Tbilisi1
- The Black Lion1
Germany178 players
- Germany (union)nat95
- SC 1880 Frankfurt16
- Rudergesellschaft Heidelberg 189810
- Heidelberger RK9
- SC Neuenheim8
- TSV Handschuhsheim5
- TSV Victoria Linden5
- Berliner RC4
- DSV 78 Hannover4
- DRC Hannover3
- RK 03 Berlin3
- RK Heusenstamm2
- VfB Stuttgart2
- Berliner SV 18921
- Berliner SV 92 Rugby1
- Eintracht Frankfurt1
- Eintracht Frankfurt Rugby1
- FC Schwalbe Hannover1
- FC St. Pauli Rugby1
- Hamburger RC1
- Heidelberger TV1
- RC Aachen1
- SC Germania List1
- SV 08 Ricklingen1
- USV Potsdam Rugby1
Papua New Guinea174 players
Russia106 players
- Yenisey-STM Krasnoyarsk43
- Russia (union)nat27
- Krasny Yar Krasnoyarsk13
- VVA-Podmoskovye Monino10
- Bulava Taganrog2
- Metallurg Novokuznetsk2
- Dynamo Moscow Rugby Club1
- Khimik Rugby Club1
- Lokomotiv Penza1
- RC Kuban1
- Russia women's (union)nat1
- Russia women's national rugby union team (sevens)nat1
- Slava Moscow1
- Strela-Ak Bars Kazan1
- VC CSKA Moscow1